Index: trunk/BNC/bncabout.html
===================================================================
--- trunk/BNC/bncabout.html	(revision 2137)
+++ trunk/BNC/bncabout.html	(revision 2139)
@@ -1,5 +1,5 @@
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
 Developed under GNU General Public License for 'Networked Transport of RTCM via Internet Protocol' (NTRIP) to receive GNSS streaming data over the Internet.<br>
-<u>http://igs.bkg.bund.de/index_ntrip.htm</u><br>
+<u>http://igs.bkg.bund.de/ntrip/about</u><br>
 <br>
 Software by:<br>
@@ -17,5 +17,5 @@
 This software is provided 'as is'.<br>
 Make sure you installed the latest version available from<br>
-<u>http://igs.bkg.bund.de/index_ntrip_down.htm</u><br>
+<u>http://igs.bkg.bund.de/ntrip/download</u><br>
 <br>
 Disclaimer:<br>
Index: trunk/BNC/bncfigure.cpp
===================================================================
--- trunk/BNC/bncfigure.cpp	(revision 2137)
+++ trunk/BNC/bncfigure.cpp	(revision 2139)
@@ -53,6 +53,6 @@
   for (int ii = 0; ii <= 1000; ii++) {
     _ran[0][ii] = qrand() % 255;
+    _ran[1][ii] = qrand() % 255;
     _ran[2][ii] = qrand() % 255;
-    _ran[1][ii] = qrand() % 255;
   }
 }
Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 2137)
+++ trunk/BNC/bnchelp.html	(revision 2139)
@@ -15,5 +15,5 @@
 
 <p>
-Please ensure that you have installed the latest version of BNC available from <u>http://igs.bkg.bund.de/index_ntrip_down.htm</u>. We are continuously working on the program and would appreciate if you could send any comments, suggestions, or bug reports to [euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de].
+Please ensure that you have installed the latest version of BNC available from <u>http://igs.bkg.bund.de/ntrip/download</u>. We are continuously working on the program and would appreciate if you could send any comments, suggestions, or bug reports to [euref-ip@bkg.bund.de] or [igs-ip@bkg.bund.de].
 </p>
 
@@ -944,16 +944,10 @@
 <p>
 PPP results are saved in BNC's logfile. Depending on the processing options, the following values are recorded every second (example):
-</p>
 <pre>
-09-12-15 22:30:39     PPP CAS10 22:30:44.0 9    -901775.887 +-  0.058    2409382.427 +-  0.046   -5816746.721 +-  0.087     0.014 +-  0.005
+09-12-15 22:30:39  PPP CAS10 22:30:44.0 9  -901775.887 +- 0.058  2409382.427 +- 0.046  -5816746.721 +- 0.087  0.014 +- 0.005
 </pre>
-<p>
-The 'PPP' string in that is followed by the selected mounpoint, a PPP time
-stamp, the number of processed satellites, XYZ coordinates and their formal
-errors as derived from the implemented filter in [m], and if the troposphere
-is estimated the estimated troposphere correction with its formal error in
-[m]. The implemented algorithm includes an outlier and cycle slip
-detection. The maximum for accepted residuals is hard coded to 10 meters for
-code observations and 10 centimeters for phase observations.
+</p>
+<p>
+The 'PPP' string in that is followed by the selected mounpoint, a PPP time stamp, the number of processed satellites and XYZ coordinates with their formal errors as derived from the implemented filter in [m]. If the troposphere estimation flag is set then the estimated troposphere correction follows together with its formal error in [m]. The implemented algorithm includes an outlier and cycle slip detection. The maximum for accepted residuals is hard coded to 10 meters for code observations and 10 centimeters for phase observations.
 </p>
 
@@ -964,5 +958,5 @@
 
 <p><a name="pppopt"><h4>3.11.2 Options - optional</h4></p>
-BNC allows to use different PPP processing options.
+BNC allows to use different PPP processing options depending on the capability of the involved receiver and the application in mind.
 </p>
 
@@ -989,5 +983,5 @@
 <p><a name="pppnmea"><h4>3.11.3 NMEA file - optional</h4></p>
 <p>
-Specify the full path to a file where Precise Point Positioning results are saved as NMEA GPGGA messages. The generated NMEA file will begin with a GPRMC message which carries only the date information.
+Specify the full path to a file where Precise Point Positioning results are saved as NMEA GPGGA messages. The generated NMEA file begins with a single GPRMC message which carries only the date information.
 </p>
 
@@ -1083,5 +1077,5 @@
 <p><a name="streamuser"><h4>3.14.1.3 User and Password - mandatory for protected streams</h4></p>
 <p>
-Some streams on NTRIP broadcasters may be restricted. Enter a valid 'User' ID and 'Password' for access to protected streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/index_ntrip_reg.htm</u> for access to protected streams on <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u>.
+Some streams on NTRIP broadcasters may be restricted. Enter a valid 'User' ID and 'Password' for access to protected streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/ntrip/registeruser</u> for access to protected streams on <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u>.
 </p> 
 
@@ -1647,5 +1641,5 @@
 <table>
 <tr></tr>
-<tr><td>NTRIP &nbsp;</td><td><u>http://igs.bkg.bund.de/index_ntrip.htm</u></td></tr>
+<tr><td>NTRIP &nbsp;</td><td><u>http://igs.bkg.bund.de/ntrip/about</u></td></tr>
 <tr><td>EUREF-IP NTRIP broadcaster &nbsp;</td><td><u>http://www.euref-ip.net/home</u></td></tr>
 <tr><td>IGS-IP NTRIP broadcaster &nbsp;</td><td><u>http://www.igs-ip.net/home</u></td></tr>
Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 2137)
+++ trunk/BNC/bncwindow.cpp	(revision 2139)
@@ -425,9 +425,9 @@
   _serialFileNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where NMEA messages coming from your serial connected receiver are saved.</p>"));
   _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA-GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
-  _pppMountLineEdit->setWhatsThis(tr("<p>Specify a mountpoint if you want BNC to derive coordinates for the affected receiver position through a PPP solution.</p><p>Note that PPP in BNC requires to also pull a stream carrying RTCM Version 3 satellite orbit and clock corrections to Broadcast Ephemeris.</p><p>Pulling in addition a third stream carrying Broadcast Ephemeris messages in high repetition rate is suggested if such messages are comeing from the receiver only in low repetition rate or even not at all.</p>"));
+  _pppMountLineEdit->setWhatsThis(tr("<p>Specify a mountpoint if you want BNC to estimate coordinates for the affected receiver position through a PPP solution.</p><p>Note that PPP in BNC requires to also pull a stream carrying RTCM Version 3 satellite orbit and clock corrections to Broadcast Ephemeris.</p><p>Pulling in addition a third stream carrying Broadcast Ephemeris messages in high repetition rate is suggested if such messages are comeing from the receiver only in low repetition rate or dont come at all from there.</p>"));
   _pppStaticCheckBox->setWhatsThis(tr("<p>By default BNC considers the rover receiver as mobile.</p><p>Tick 'Static' to consider a static observation sitatuion and adapt appropriate filter characteristics for that.</p>"));
   _pppUsePhaseCheckBox->setWhatsThis(tr("<p>By default BNC applies a PPP solution using an ionosphere free P3 linear combination of code observations.</p><p>Tick 'Use phase obs' for an ionosphere free L3 linear combination of phase observations.</p>"));
   _pppEstTropoCheckBox->setWhatsThis(tr("<p>By default BNC does not introduce troposphere parameters when estimating coordinates.</p><p>Tick 'Estimate tropo' to introduce troposphere parameters when estimating coordinates.</p>"));
-  _pppGLONASSCheckBox->setWhatsThis(tr("<p>By default BNC does not use GLONAS observations in PPP mode.</p><p>Tick 'Use GLONASS' to process GPS and GLONASS observations in PPP mode.</p>"));
+  _pppGLONASSCheckBox->setWhatsThis(tr("<p>By default BNC does not use GLONASS observations in PPP mode.</p><p>Tick 'Use GLONASS' for a combined processing of both, GPS and GLONASS observations in PPP mode.</p>"));
   _pppNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where PPP results are saved as NMEA messages.</p>"));
 
@@ -675,5 +675,5 @@
   pppLayout->addWidget(new QLabel("NMEA file (full path)"),  2, 0);
   pppLayout->addWidget(_pppNMEALineEdit,                     2, 1, 1, 6);
-  pppLayout->addWidget(new QLabel("Precise Point Positioning (PPP) coordinates."),3, 0,1,30);
+  pppLayout->addWidget(new QLabel("Coordinates from Precise Point Positioning (PPP)."),3, 0,1,30);
   pppLayout->addWidget(new QLabel("    "),                4, 0);
   pppLayout->addWidget(new QLabel("    "),                5, 0);