Index: /trunk/BNC/bncfigureppp.cpp
===================================================================
--- /trunk/BNC/bncfigureppp.cpp	(revision 2163)
+++ /trunk/BNC/bncfigureppp.cpp	(revision 2164)
@@ -51,16 +51,18 @@
 bncFigurePPP::bncFigurePPP(QWidget *parent) : QWidget(parent) {
 
-  QString refCrdStr = "";
-
-  QStringList refCrdStrList = refCrdStr.split(' ', QString::SkipEmptyParts);
-  if (refCrdStrList.size() == 3) {
-    _xyzRef[0] = refCrdStrList[0].toDouble();    
-    _xyzRef[1] = refCrdStrList[1].toDouble();    
-    _xyzRef[2] = refCrdStrList[2].toDouble();    
-  }
-  else {
-    _xyzRef[0] = 0.0;    
-    _xyzRef[1] = 0.0;    
-    _xyzRef[2] = 0.0;    
+  bncSettings settings;
+
+  _xyzRef[0] = 0.0;    
+  _xyzRef[1] = 0.0;    
+  _xyzRef[2] = 0.0;    
+
+  QString refCrdStr = settings.value("pppRefCrd").toString();
+  if (!refCrdStr.isEmpty()) {
+    QStringList refCrdStrList = refCrdStr.split(' ', QString::SkipEmptyParts);
+    if (refCrdStrList.size() == 3) {
+      _xyzRef[0] = refCrdStrList[0].toDouble();    
+      _xyzRef[1] = refCrdStrList[1].toDouble();    
+      _xyzRef[2] = refCrdStrList[2].toDouble();    
+    }
   }
 }
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 2163)
+++ /trunk/BNC/bncwindow.cpp	(revision 2164)
@@ -338,4 +338,5 @@
   _pppMountLineEdit  = new QLineEdit(settings.value("pppMount").toString());
   _pppNMEALineEdit   = new QLineEdit(settings.value("nmeaFile").toString());
+  _pppRefCrdLineEdit = new QLineEdit(settings.value("pppRefCrd").toString());
   _pppStaticCheckBox = new QCheckBox();
   _pppStaticCheckBox->setCheckState(Qt::CheckState(
@@ -678,7 +679,9 @@
   pppLayout->addWidget(new QLabel("NMEA file (full path)"),  2, 0);
   pppLayout->addWidget(_pppNMEALineEdit,                     2, 1, 1, 6);
-  pppLayout->addWidget(new QLabel("Coordinates from Precise Point Positioning (PPP)."),3, 0,1,30);
-  pppLayout->addWidget(new QLabel("    "),                4, 0);
+  pppLayout->addWidget(new QLabel("Reference Coordinates"),  3, 0);
+  pppLayout->addWidget(_pppRefCrdLineEdit,                   3, 1, 1, 6);
+  pppLayout->addWidget(new QLabel("Coordinates from Precise Point Positioning (PPP)."),4, 0,1,30);
   pppLayout->addWidget(new QLabel("    "),                5, 0);
+  pppLayout->addWidget(new QLabel("    "),                6, 0);
   pppgroup->setLayout(pppLayout);
 
@@ -991,4 +994,5 @@
   settings.setValue("pppMount",    _pppMountLineEdit->text());
   settings.setValue("nmeaFile",    _pppNMEALineEdit->text());
+  settings.setValue("pppRefCrd",   _pppRefCrdLineEdit->text());
   settings.setValue("pppStatic",   _pppStaticCheckBox->checkState());
   settings.setValue("pppUsePhase", _pppUsePhaseCheckBox->checkState());
@@ -1526,4 +1530,5 @@
     if (!_pppMountLineEdit->text().isEmpty()) {
       _pppNMEALineEdit->setPalette(palette_white);
+      _pppRefCrdLineEdit->setPalette(palette_white);
       _pppStaticCheckBox->setPalette(palette_white);
       _pppUsePhaseCheckBox->setPalette(palette_white);
@@ -1531,4 +1536,5 @@
       _pppGLONASSCheckBox->setPalette(palette_white);
       _pppNMEALineEdit->setEnabled(true);
+      _pppRefCrdLineEdit->setEnabled(true);
       _pppStaticCheckBox->setEnabled(true);
       _pppUsePhaseCheckBox->setEnabled(true);
@@ -1537,4 +1543,5 @@
     } else {
       _pppNMEALineEdit->setPalette(palette_gray);
+      _pppRefCrdLineEdit->setPalette(palette_gray);
       _pppStaticCheckBox->setPalette(palette_gray);
       _pppUsePhaseCheckBox->setPalette(palette_gray);
@@ -1542,4 +1549,5 @@
       _pppGLONASSCheckBox->setPalette(palette_gray);
       _pppNMEALineEdit->setEnabled(false);
+      _pppRefCrdLineEdit->setEnabled(false);
       _pppStaticCheckBox->setEnabled(false);
       _pppUsePhaseCheckBox->setEnabled(false);
Index: /trunk/BNC/bncwindow.h
===================================================================
--- /trunk/BNC/bncwindow.h	(revision 2163)
+++ /trunk/BNC/bncwindow.h	(revision 2164)
@@ -115,4 +115,5 @@
     QLineEdit* _pppMountLineEdit;
     QLineEdit* _pppNMEALineEdit;
+    QLineEdit* _pppRefCrdLineEdit;
     QCheckBox* _pppStaticCheckBox;
     QCheckBox* _pppUsePhaseCheckBox;