Index: /trunk/BNC/bncfigureppp.cpp
===================================================================
--- /trunk/BNC/bncfigureppp.cpp	(revision 2166)
+++ /trunk/BNC/bncfigureppp.cpp	(revision 2167)
@@ -180,7 +180,21 @@
       int ww = QFontMetrics(this->font()).width('w');
 
-      painter.drawText(0,pntP.y() - ww * 0.5,pntP.x() - ww * 0.25,pntP.x(),Qt::AlignRight,strP);
-      painter.drawText(0,pntM.y() - ww * 0.5,pntM.x() - ww * 0.25,pntM.y(),Qt::AlignRight,strM);
-      painter.drawText(0,pntZ.y() - ww * 0.5,pntZ.x() - ww * 0.25,pntZ.y(),Qt::AlignRight,strZ);
+      painter.setPen(QColor(Qt::red));
+      painter.drawText(0,int( ww * 1.0),int(pntP.x() + ww * 3.00),
+                                                  int(pntP.x()),Qt::AlignRight,"N");
+      painter.setPen(QColor(Qt::green));
+      painter.drawText(0,int( ww * 1.0),int(pntP.x() + ww * 4.00),
+                                                  int(pntP.x()),Qt::AlignRight,"E");
+      painter.setPen(QColor(Qt::blue));
+      painter.drawText(0,int( ww * 1.0),int(pntP.x() + ww * 5.00),
+                                                  int(pntP.x()),Qt::AlignRight,"U");
+      painter.setPen(QColor(Qt::black));
+
+      painter.drawText(0,int(pntP.y() - ww * 0.5),int(pntP.x() - ww * 0.25),
+                                                  int(pntP.x()),Qt::AlignRight,strP);
+      painter.drawText(0,int(pntM.y() - ww * 0.5),int(pntM.x() - ww * 0.25),
+                                                  int(pntM.y()),Qt::AlignRight,strM);
+      painter.drawText(0,int(pntZ.y() - ww * 0.5),int(pntZ.x() - ww * 0.25),
+                                                  int(pntZ.y()),Qt::AlignRight,strZ);
 
       painter.drawLine(pntP.x(), pntP.y(), pntP.x()+ww, pntP.y());
@@ -205,6 +219,7 @@
           double xFirstCharTic = pntTic.x() - ww * 1.2;
           if ( xFirstCharTic > pntZ.x()) {
-            painter.drawText(xFirstCharTic,pntTic.y() + ww * 1.7,strTic);
-            painter.drawLine(pntTic.x(),pntTic.y(),pntTic.x(),pntTic.y() + ww * 0.5);
+            painter.drawText(int(xFirstCharTic),int(pntTic.y() + ww * 1.7),strTic);
+            painter.drawLine(int(pntTic.x()),int(pntTic.y()),
+                             int(pntTic.x()),int(pntTic.y() + ww * 0.5));
           }
         }
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 2166)
+++ /trunk/BNC/bncwindow.cpp	(revision 2167)
@@ -430,5 +430,5 @@
   _serialFileNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where NMEA messages coming from your serial connected receiver are saved.</p>"));
   _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA-GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
-  _pppMountLineEdit->setWhatsThis(tr("<p>Specify a mountpoint if you want BNC to estimate coordinates for the affected receiver position through a PPP solution.</p><p>Note that PPP in BNC requires to also pull a stream carrying RTCM Version 3 satellite orbit and clock corrections to Broadcast Ephemeris.</p><p>Pulling in addition a third stream carrying Broadcast Ephemeris messages in high repetition rate is suggested if such messages are comeing from the receiver only in low repetition rate or dont come at all from there.</p>"));
+  _pppMountLineEdit->setWhatsThis(tr("<p>Specify a mountpoint if you want BNC to estimate coordinates for the affected receiver position through a PPP solution.</p><p>Note that PPP in BNC requires to also pull a stream carrying RTCM Version 3 satellite orbit and clock corrections to Broadcast Ephemeris referring to the satellites' Antenna Phase Centers (APC).</p><p>Pulling in addition a third stream carrying Broadcast Ephemeris messages in high repetition rate is suggested if such messages are comeing from the receiver only in low repetition rate or dont come at all from there.</p>"));
   _pppStaticCheckBox->setWhatsThis(tr("<p>By default BNC considers the rover receiver as mobile.</p><p>Tick 'Static' to consider a static observation sitatuion and adapt appropriate filter characteristics for that.</p>"));
   _pppUsePhaseCheckBox->setWhatsThis(tr("<p>By default BNC applies a PPP solution using an ionosphere free P3 linear combination of code observations.</p><p>Tick 'Use phase obs' for an ionosphere free L3 linear combination of phase observations.</p>"));
@@ -439,5 +439,5 @@
   _pppRefCrdYLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known.</p>"));
   _pppRefCrdZLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known.</p>"));
-  _bncFigurePPP->setWhatsThis(tr("PPP time series of North (red), East (green) and Up (blue) coordinate components are shown in the 'PPP' tab. Values are either referred to reference coordinates (if specified) or referred to mean values calculated from results received over the latest 5 minues."));
+  _bncFigurePPP->setWhatsThis(tr("PPP time series of North (red), East (green) and Up (blue) coordinate components are shown in the 'PPP' tab. Values are either referred to reference coordinates (if specified) or referred to mean values calculated from results received over the past 5 minues."));
 
   // Canvas with Editable Fields
@@ -474,5 +474,5 @@
   _loggroup->addTab(_bncFigure,tr("Throughput"));
   _loggroup->addTab(_bncFigureLate,tr("Latency"));
-  _loggroup->addTab(_bncFigurePPP,tr("PPP (NEU)"));
+  _loggroup->addTab(_bncFigurePPP,tr("PPP"));
 
   // Proxy Tab
@@ -1549,5 +1549,6 @@
       _pppUsePhaseCheckBox->setPalette(palette_white);
       _pppEstTropoCheckBox->setPalette(palette_white);
-      _pppGLONASSCheckBox->setPalette(palette_white);
+//    _pppGLONASSCheckBox->setPalette(palette_white);
+      _pppGLONASSCheckBox->setPalette(palette_gray);
       _pppNMEALineEdit->setEnabled(true);
       _pppRefCrdXLineEdit->setEnabled(true);
@@ -1557,5 +1558,6 @@
       _pppUsePhaseCheckBox->setEnabled(true);
       _pppEstTropoCheckBox->setEnabled(true);
-      _pppGLONASSCheckBox->setEnabled(true);
+//    _pppGLONASSCheckBox->setEnabled(true);
+      _pppGLONASSCheckBox->setEnabled(false);
     } else {
       _pppNMEALineEdit->setPalette(palette_gray);