Index: trunk/BNC/bncsettings.cpp
===================================================================
--- trunk/BNC/bncsettings.cpp	(revision 2302)
+++ trunk/BNC/bncsettings.cpp	(revision 2303)
@@ -84,4 +84,5 @@
     setValue("pppRefCrdY",       "");
     setValue("pppRefCrdZ",       "");
+    setValue("pppOrigin",        "");
     setValue("nmeaFile",         "");
     setValue("nmeaPort",         "");
Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 2302)
+++ trunk/BNC/bncwindow.cpp	(revision 2303)
@@ -342,4 +342,11 @@
   _pppRefCrdYLineEdit  = new QLineEdit(settings.value("pppRefCrdY").toString());
   _pppRefCrdZLineEdit  = new QLineEdit(settings.value("pppRefCrdZ").toString());
+  _pppOriginComboBox = new QComboBox();
+  _pppOriginComboBox->setEditable(false);
+  _pppOriginComboBox->addItems(QString(",Start position,X Y Z").split(","));
+  int ij = _pppOriginComboBox->findText(settings.value("pppOrigin").toString());
+  if (ij != -1) {
+    _pppOriginComboBox->setCurrentIndex(ij);
+  }
   _pppStaticCheckBox   = new QCheckBox();
   _pppStaticCheckBox->setCheckState(Qt::CheckState(
@@ -356,4 +363,7 @@
 
   connect(_pppMountLineEdit, SIGNAL(textChanged(const QString &)),
+          this, SLOT(slotBncTextChanged()));
+
+  connect(_pppOriginComboBox, SIGNAL(currentIndexChanged(const QString &)),
           this, SLOT(slotBncTextChanged()));
 
@@ -439,8 +449,9 @@
   _pppNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where PPP results are saved as NMEA messages.</p>"));
   _pppNMEAPortLineEdit->setWhatsThis(tr("<p>Specify an IP port number to output PPP results as NMEA messages through an IP port.</p>"));
-  _pppRefCrdXLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown in the 'PPP' tab will then be referred to these values.</p>"));
-  _pppRefCrdYLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown inthe 'PPP' tab will then be referred to these values.</p>"));
-  _pppRefCrdZLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown inthe 'PPP' tab will then be referred to these values.</p>"));
-  _bncFigurePPP->setWhatsThis(tr("PPP time series of North (red), East (green) and Up (blue) coordinate components are shown in the 'PPP' tab when the 'Static' PPP option is applied. Values are either referred to reference coordinates (if specified) or referred to the first estimated set of coordinate compoments. The sliding PPP time series window covers the period of the latest 5 minutes."));
+  _pppOriginComboBox->setWhatsThis(tr("<p>Select an origion for North/East/Up time series plots in the 'PPP Plot' tab. This option makes only sense for a stationary receiver.</p>"));
+  _pppRefCrdXLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown in the 'PPP Plot' tab will then be referred to these values.</p>"));
+  _pppRefCrdYLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown in the 'PPP Plot' tab will then be referred to these values.</p>"));
+  _pppRefCrdZLineEdit->setWhatsThis(tr("<p>You may enter reference coordinates of the receiver position if known. The time series plots shown in the 'PPP Plot' tab will then be referred to these values.</p>"));
+  _bncFigurePPP->setWhatsThis(tr("PPP time series of North (red), East (green) and Up (blue) coordinate components are shown in the 'PPP Plot' tab when a 'Plot origin' PPP option is applied. Values are either referred to reference coordinates (if specified) or referred to the first estimated set of coordinate compoments. The sliding PPP time series window covers the period of the latest 5 minutes."));
 
   // Canvas with Editable Fields
@@ -477,5 +488,5 @@
   _loggroup->addTab(_bncFigure,tr("Throughput"));
   _loggroup->addTab(_bncFigureLate,tr("Latency"));
-  _loggroup->addTab(_bncFigurePPP,tr("Static PPP"));
+  _loggroup->addTab(_bncFigurePPP,tr("PPP Plot"));
 
   // Proxy Tab
@@ -678,4 +689,6 @@
   _pppRefCrdYLineEdit->setMaximumWidth(14*ww);
   _pppRefCrdZLineEdit->setMaximumWidth(14*ww);
+  _pppNMEAPortLineEdit->setMaximumWidth(14*ww);
+  _pppOriginComboBox->setMaximumWidth(14*ww);
   pppLayout->setColumnMinimumWidth(0,14*ww);
   pppLayout->addWidget(new QLabel("Mountpoint"),             0, 0);
@@ -690,15 +703,17 @@
   pppLayout->addWidget(_pppGLONASSCheckBox,                  1, 7);
   pppLayout->addWidget(new QLabel("Use GLONASS"),            1, 8);
-  pppLayout->addWidget(new QLabel("Ref. coordinates"),       2, 0);
-  pppLayout->addWidget(_pppRefCrdXLineEdit,                  2, 1, 1, 2);
-  pppLayout->addWidget(new QLabel("X"),                      2, 3);
-  pppLayout->addWidget(_pppRefCrdYLineEdit,                  2, 4); 
-  pppLayout->addWidget(new QLabel("Y"),                      2, 5);
-  pppLayout->addWidget(_pppRefCrdZLineEdit,                  2, 6);
-  pppLayout->addWidget(new QLabel("Z"),                      2, 7);
+  pppLayout->addWidget(new QLabel("Plot origin"),            2, 0);
+  pppLayout->addWidget(_pppOriginComboBox,                   2, 1, 1, 2);
+  pppLayout->addWidget(new QLabel("  "),                     2, 3);
+  pppLayout->addWidget(_pppRefCrdXLineEdit,                  2, 4);
+  pppLayout->addWidget(new QLabel("  "),                     2, 5);
+  pppLayout->addWidget(_pppRefCrdYLineEdit,                  2, 6); 
+  pppLayout->addWidget(new QLabel("  "),                     2, 7);
+  pppLayout->addWidget(_pppRefCrdZLineEdit,                  2, 8);
   pppLayout->addWidget(new QLabel("NMEA File (full path)"),  3, 0); 
   pppLayout->addWidget(_pppNMEALineEdit,                     3, 1, 1, 6);
   pppLayout->addWidget(new QLabel("Port"),                   3, 7);
-  pppLayout->addWidget(_pppNMEAPortLineEdit,                 3, 8, 1, 2);
+  pppLayout->addWidget(_pppNMEAPortLineEdit,                 3, 8);
+//pppLayout->addWidget(_pppNMEAPortLineEdit,                 3, 8, 1, 1);
   pppLayout->addWidget(new QLabel("Coordinates from Precise Point Positioning (PPP)."),4, 0,1,15);
   pppLayout->addWidget(new QLabel("    "),                   5, 0);
@@ -1021,4 +1036,5 @@
   settings.setValue("pppEstTropo", _pppEstTropoCheckBox->checkState());
   settings.setValue("pppGLONASS",  _pppGLONASSCheckBox->checkState());
+  settings.setValue("pppOrigin",   _pppOriginComboBox->currentText());
   settings.setValue("mountPoints", mountPoints);
   settings.setValue("obsRate",     _obsRateComboBox->currentText());
@@ -1551,5 +1567,6 @@
   // PPP Client
   // ----------
-  if (sender() == 0 || sender() == _pppMountLineEdit) {
+  if (sender() == 0 || sender() == _pppMountLineEdit 
+     || sender() == _pppOriginComboBox) {
     if (!_pppMountLineEdit->text().isEmpty()) {
       _pppNMEALineEdit->setPalette(palette_white);
@@ -1562,4 +1579,5 @@
       _pppEstTropoCheckBox->setPalette(palette_white);
       _pppGLONASSCheckBox->setPalette(palette_white);
+      _pppOriginComboBox->setPalette(palette_white);
       _pppNMEALineEdit->setEnabled(true);
       _pppNMEAPortLineEdit->setEnabled(true);
@@ -1571,4 +1589,21 @@
       _pppEstTropoCheckBox->setEnabled(true);
       _pppGLONASSCheckBox->setEnabled(true);
+      _pppOriginComboBox->setEnabled(true);
+      if (_pppOriginComboBox->currentText() == "X Y Z" ) {
+        _pppRefCrdXLineEdit->setPalette(palette_white);
+        _pppRefCrdXLineEdit->setEnabled(true);
+        _pppRefCrdYLineEdit->setPalette(palette_white);
+        _pppRefCrdYLineEdit->setEnabled(true);
+        _pppRefCrdZLineEdit->setPalette(palette_white);
+        _pppRefCrdZLineEdit->setEnabled(true);
+      }
+      else {
+        _pppRefCrdXLineEdit->setPalette(palette_gray);
+        _pppRefCrdXLineEdit->setEnabled(false);
+        _pppRefCrdYLineEdit->setPalette(palette_gray);
+        _pppRefCrdYLineEdit->setEnabled(false);
+        _pppRefCrdZLineEdit->setPalette(palette_gray);
+        _pppRefCrdZLineEdit->setEnabled(false);
+      }
     } else {
       _pppNMEALineEdit->setPalette(palette_gray);
@@ -1581,4 +1616,5 @@
       _pppEstTropoCheckBox->setPalette(palette_gray);
       _pppGLONASSCheckBox->setPalette(palette_gray);
+      _pppOriginComboBox->setPalette(palette_gray);
       _pppNMEALineEdit->setEnabled(false);
       _pppNMEAPortLineEdit->setEnabled(false);
@@ -1590,5 +1626,6 @@
       _pppEstTropoCheckBox->setEnabled(false);
       _pppGLONASSCheckBox->setEnabled(false);
-    }
-  }
-}
+      _pppOriginComboBox->setEnabled(false);
+    }
+  }
+}
Index: trunk/BNC/bncwindow.h
===================================================================
--- trunk/BNC/bncwindow.h	(revision 2302)
+++ trunk/BNC/bncwindow.h	(revision 2303)
@@ -160,4 +160,5 @@
 
     QComboBox*  _onTheFlyComboBox;
+    QComboBox*  _pppOriginComboBox;
 
     QTextEdit*  _log;