Index: trunk/BNC/bnccaster.cpp
===================================================================
--- trunk/BNC/bnccaster.cpp	(revision 2315)
+++ trunk/BNC/bnccaster.cpp	(revision 2316)
@@ -121,5 +121,5 @@
   _epochs = new QMultiMap<long, p_obs>;
 
-  _lastDumpSecXrate = 0; 
+  _lastDumpSec   = 0; 
 
   _confInterval = -1;
@@ -159,6 +159,6 @@
   obs->_status = t_obs::received;
 
-  long iSecXrate    = long(floor(obs->_o.GPSWeeks * _maxRate + 0.5));
-  long newTimeXrate = obs->_o.GPSWeek * 7*24*3600 * _maxRate + iSecXrate;
+  long iSec    = long(floor(obs->_o.GPSWeeks+0.5));
+  long newTime = obs->_o.GPSWeek * 7*24*3600 + iSec;
 
   // Rename the Station
@@ -199,11 +199,11 @@
   // First time, set the _lastDumpSec immediately
   // --------------------------------------------
-  if (_lastDumpSecXrate == 0) {
-    _lastDumpSecXrate = newTimeXrate - 1;
+  if (_lastDumpSec == 0) {
+    _lastDumpSec = newTime - 1;
   }
 
   // An old observation - throw it away
   // ----------------------------------
-  if (newTimeXrate <= _lastDumpSecXrate) {
+  if (newTime <= _lastDumpSec) {
     if (firstObs) {
       bncSettings settings;
@@ -211,8 +211,8 @@
            !settings.value("outPort").toString().isEmpty() ) { 
 
-	QTime enomtime = QTime(0,0,0).addMSecs(iSecXrate/_maxRate/1000);
+	QTime enomtime = QTime(0,0,0).addSecs(iSec);
 
         emit( newMessage(QString("%1: Old epoch %2 (%3) thrown away")
-			 .arg(staID.data()).arg(iSecXrate/_maxRate)
+			 .arg(staID.data()).arg(iSec)
 			 .arg(enomtime.toString("HH:mm:ss"))
 			 .toAscii(), true) );
@@ -225,11 +225,11 @@
   // Save the observation
   // --------------------
-  _epochs->insert(newTimeXrate, obs);
+  _epochs->insert(newTime, obs);
 
   // Dump Epochs
   // -----------
-  if (newTimeXrate - _waitTimeXrate > _lastDumpSecXrate) {
-    dumpEpochs(_lastDumpSecXrate + 1, newTimeXrate - _waitTimeXrate);
-    _lastDumpSecXrate = newTimeXrate - _waitTimeXrate;
+  if (newTime - _waitTime > _lastDumpSec) {
+    dumpEpochs(_lastDumpSec + 1, newTime - _waitTime);
+    _lastDumpSec = newTime - _waitTime;
   }
 }
@@ -303,5 +303,5 @@
 // Dump Complete Epochs
 ////////////////////////////////////////////////////////////////////////////
-void bncCaster::dumpEpochs(long minTimeXrate, long maxTimeXrate) {
+void bncCaster::dumpEpochs(long minTime, long maxTime) {
 
   const char begEpoch[] = "BEGEPOCH";
@@ -311,8 +311,8 @@
   const int endEpochNBytes = sizeof(endEpoch) - 1;
 
-  for (long secXrate = minTimeXrate; secXrate <= maxTimeXrate; ++secXrate) {
+  for (long sec = minTime; sec <= maxTime; sec++) {
 
     bool first = true;
-    QList<p_obs> allObs = _epochs->values(secXrate);
+    QList<p_obs> allObs = _epochs->values(sec);
 
     QListIterator<p_obs> it(allObs);
@@ -320,5 +320,5 @@
       p_obs obs = it.next();
 
-      if (_samplingRate == 0 || (secXrate/_maxRate) % _samplingRate == 0) {
+      if (_samplingRate == 0 || sec % _samplingRate == 0) {
 
 	if (first) {
@@ -401,5 +401,5 @@
 
       delete obs;
-      _epochs->remove(secXrate);
+      _epochs->remove(sec);
       first = false;
     }
@@ -415,10 +415,8 @@
   // Reread several options
   // ----------------------
-  _maxRate = 20;
-
-  _samplingRate  = settings.value("binSampl").toInt();
-  _waitTimeXrate = settings.value("waitTime").toInt() * _maxRate; 
-  if (_waitTimeXrate < 1) {
-    _waitTimeXrate = 1;
+  _samplingRate = settings.value("binSampl").toInt();
+  _waitTime     = settings.value("waitTime").toInt();
+  if (_waitTime < 1) {
+    _waitTime = 1;
   }
 
Index: trunk/BNC/bnccaster.h
===================================================================
--- trunk/BNC/bnccaster.h	(revision 2315)
+++ trunk/BNC/bnccaster.h	(revision 2316)
@@ -60,5 +60,5 @@
 
  private:
-   void dumpEpochs(long minTimeXrate, long maxTimeXrate);
+   void dumpEpochs(long minTime, long maxTime);
    static int myWrite(QTcpSocket* sock, const char* buf, int bufLen);
 
@@ -67,5 +67,5 @@
    QTextStream*            _out;
    QMultiMap<long, p_obs>* _epochs;
-   long                    _lastDumpSecXrate;
+   long                    _lastDumpSec;
    QTcpServer*             _server;
    QTcpServer*             _uServer;
@@ -77,8 +77,7 @@
    QList<bncGetThread*>    _threads;
    int                     _samplingRate;
-   long                    _waitTimeXrate;
+   long                    _waitTime;
    QMutex                  _mutex;
    int                     _confInterval;
-   int                     _maxRate;
 };
 