Index: trunk/BNS/bnshelp.html
===================================================================
--- trunk/BNS/bnshelp.html	(revision 2101)
+++ trunk/BNS/bnshelp.html	(revision 2320)
@@ -1,2 +1,3 @@
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
 <h3>BKG Ntrip State Space Server (BNS) Version 1.1</h3>
 
@@ -22,5 +23,5 @@
 <a href=#purpose>1. Purpose</a><br>
 <a href=#function>2. Functioning</a><br>
-<a href=#resources>3. Modes & Resources</a><br>
+<a href=#resources>3. Modes &amp; Resources</a><br>
 <a href=#options>4. Options</a><br>
 <a href=#limits>5. Limitations</a><br>
@@ -76,5 +77,5 @@
 </p>
 
-<p><a name="resources"><h3>3. Modes & Resources</h3></p>
+<p><a name="resources"><h3>3. Modes &amp; Resources</h3></p>
 <p>
 Apart from its regular window mode, BNS can be run as a background job in a 'no window' mode using processing options from a previously saved configuration.
@@ -94,5 +95,5 @@
 
 <p>
-The usual handling of BNS is that you first select severs for 'RINEX Ephemeris' and 'Clocks & Orbits'. You then select an NTRIP broadcaster for stream upload ('Broadcast Corrections') before you start the program ('Start'). Records of BNS's activities are shown in the 'Logs' canvas in the middle of the main window.
+The usual handling of BNS is that you first select severs for 'RINEX Ephemeris' and 'Clocks &amp; Orbits'. You then select an NTRIP broadcaster for stream upload ('Broadcast Corrections') before you start the program ('Start'). Records of BNS's activities are shown in the 'Logs' canvas in the middle of the main window.
 </p>
 
@@ -102,5 +103,5 @@
 
 <p>
-The default file name 'BNS.ini' can be changed and the file contents can easily be edited. On graphical user interfaces it is possible to Drag & Drop a configuration file icon to start BNS. See annexed 'Configuration Example' for a complete set of configuration options.
+The default file name 'BNS.ini' can be changed and the file contents can easily be edited. On graphical user interfaces it is possible to Drag &amp; Drop a configuration file icon to start BNS. See annexed 'Configuration Example' for a complete set of configuration options.
 </p>
 
@@ -115,25 +116,25 @@
 &nbsp; &nbsp; &nbsp; 4.3.3. <a href=#genstart>Auto Start</a><br>
 4.4. <a href=#eph>RINEX Ephemeris</a><br>
-&nbsp; &nbsp; &nbsp; 4.4.1. <a href=#ephserver>Host & Port</a><br>
+&nbsp; &nbsp; &nbsp; 4.4.1. <a href=#ephserver>Host &amp; Port</a><br>
 &nbsp; &nbsp; &nbsp; 4.4.2. <a href=#ephsave>Save</a><br>
-4.5. <a href=#co>Clocks & Orbits</a><br>
+4.5. <a href=#co>Clocks &amp; Orbits</a><br>
 &nbsp; &nbsp; &nbsp; 4.5.1. <a href=#coport>Listening Port</a><br>
 &nbsp; &nbsp; &nbsp; 4.5.2. <a href=#cosave>Save</a><br>
 4.6. <a href=#ephc>Broadcast Corrections</a><br>
-&nbsp; &nbsp; &nbsp; 4.6.1. <a href=#ephcserver>Host & Port</a><br>
-&nbsp; &nbsp; &nbsp; 4.6.2. <a href=#ephcmount>Mountpoint & Password</a><br>
+&nbsp; &nbsp; &nbsp; 4.6.1. <a href=#ephcserver>Host &amp; Port</a><br>
+&nbsp; &nbsp; &nbsp; 4.6.2. <a href=#ephcmount>Mountpoint &amp; Password</a><br>
 &nbsp; &nbsp; &nbsp; 4.6.3. <a href=#ephcsys>System</a><br>
 &nbsp; &nbsp; &nbsp; 4.6.4. <a href=#ephcsave>Save</a><br>
 &nbsp; &nbsp; &nbsp; 4.6.5. <a href=#ephcom>Center of Mass</a><br>
 4.7. <a href=#brdc>Broadcast Ephemeris</a><br>
-&nbsp; &nbsp; &nbsp; 4.7.1. <a href=#brdcserver>Host & Port</a><br>
-&nbsp; &nbsp; &nbsp; 4.7.2. <a href=#brdcmount>Mountpoint & Password</a><br>
+&nbsp; &nbsp; &nbsp; 4.7.1. <a href=#brdcserver>Host &amp; Port</a><br>
+&nbsp; &nbsp; &nbsp; 4.7.2. <a href=#brdcmount>Mountpoint &amp; Password</a><br>
 &nbsp; &nbsp; &nbsp; 4.7.3. <a href=#brdcsmpl>Sampling</a><br>
 4.8. <a href=#clkrnx>RINEX Clocks</a><br>
 &nbsp; &nbsp; &nbsp; 4.8.1. <a href=#clkdir>Directory</a><br>
-&nbsp; &nbsp; &nbsp; 4.8.2. <a href=#clkint>Interval & Sampling</a><br>
+&nbsp; &nbsp; &nbsp; 4.8.2. <a href=#clkint>Interval &amp; Sampling</a><br>
 4.9. <a href=#orb>SP3 Orbits</a><br>
 &nbsp; &nbsp; &nbsp; 4.9.1. <a href=#orbdir>Directory</a><br>
-&nbsp; &nbsp; &nbsp; 4.9.2. <a href=#orbint>Interval & Sampling</a><br>
+&nbsp; &nbsp; &nbsp; 4.9.2. <a href=#orbint>Interval &amp; Sampling</a><br>
 4.10. <a href=#bottom>Bottom Menu Bar</a><br>
 4.10.1 <a href=#start>Start</a><br>
@@ -186,5 +187,5 @@
 </p>
 <p>
-BNS comes with a help system providing online information about its functionality and usage. Short descriptions are available for any widget. Focus to the relevant widget and press Shift+F1 to request help information. A help text will appear immediately; it disappears as soon as the focus is shifted to something else. The dialogs on some operating systems may provide a "?" button that users can click; they then click the relevant widget to pop up the help text.
+BNS comes with a help system providing online information about its functionality and usage. Short descriptions are available for any widget. Focus to the relevant widget and press Shift+F1 to request help information. A help text will appear immediately; it disappears as soon as the focus is shifted to something else. The dialogs on some operating systems may provide a &quot;?&quot; button that users can click; they then click the relevant widget to pop up the help text.
 </p>
 
@@ -243,5 +244,5 @@
 </p>
 
-<p><a name="ephserver"><h4>4.4.1 Host & Port - mandatory</h4></p>
+<p><a name="ephserver"><h4>4.4.1 Host &amp; Port - mandatory</h4></p>
 <p>
 Enter the IP address and port number of a Broadcast Ephemeris server like BNC to establish a persistent socket connection, see section 'Flow Chart' under 'Help' for socket communication details. If BNS runs on the same host as BNC, 127.0.0.1 should be used as the server's IP address. Make sure that this server is up and running before you start BNS.
@@ -253,5 +254,5 @@
 </p>
 
-<p><a name="co"><h4>4.5. Clocks & Orbits</h4></p>
+<p><a name="co"><h4>4.5. Clocks &amp; Orbits</h4></p>
 <p>
 BNS requires GNSS clocks and orbits in the IGS Earth-Centered-Earth-Fixed (ECEF) reference system in SP3 format. They can be provided by a real-time GNSS engine such as RTNet. The sampling rate should not be much greater than 10 sec. Note that otherwise in IP streaming involved tools on the NTRIP Broadcaster or client side may respond with a timeout.
@@ -265,45 +266,30 @@
 <ul>
 <li>GNSS Indicator and Satellite Vehicle Pseudo Random Number</li>
-<li>X,Y,Z coordinates in Earth-Centered-Earth-Fixed system [km]</li>
+<li>X,Y,Z coordinates in Earth-Centered-Earth-Fixed system [km] at epoch T</li>
 <li>Satellite clock error [microsecond]</li>
-<li>2nd order relativistic effect in [microsecond]</li>
-<li>DX,DY,DZ [m] in Earth-Centered-Earth-Fixed system for translation CoM->APC</li>
-</ul>
-</p>
-
+<li>2nd order relativistic effect [microsecond]</li>
+<li>DX,DY,DZ [m] in Earth-Centered-Earth-Fixed system for translation CoM-&gt;APC</li>
+<li>Differential Code Bias P1C1 [m]</li>
+<li>Differential Code Bias P1P2 [m]</li>
+<li>Time increment dT [second]</li>
+<li>X,Y,Z coordinates in Earth-Centered-Earth-Fixed system [km] at epoch T+dT</li>
+</ul>
+</p>
+Example:
 </p>
 <p>
 <pre>
 *  2009 12  7 13 11  30.00000000
-PG02 -17277.380009   2091.965728 -20014.757340    200.667430     -0.020765   0.400  -0.048   0.463
-PG03  19627.221372   3050.386053  17442.249843    484.620065     -0.027058  -1.764  -0.409  -1.912
-PG04 -12242.575503 -10298.850741 -21324.632495   -395.243807      0.018961   1.293   0.796   1.723
-PG06  19936.482526   6838.385477  16400.972130    263.477583      0.004206  -1.814  -0.804  -1.817
-PG07   5678.544672 -24345.955234   8724.710375      6.401831      0.002341  -0.150   0.644  -0.231
-PG08  -3321.752663 -18354.554749  18660.882796      0.581366      0.020077   0.542   1.552  -1.778
-PG09 -15158.150865  20095.895075   7731.079467     92.691369      0.042950   1.548  -1.606  -0.759
-PG10 -26555.802629  -1328.738609  -3067.238728    -29.874813     -0.009529   2.404  -0.047   0.052
-PG11  11355.037815 -22743.898329   6785.481076    -33.012783      0.009787  -0.419   0.839  -0.250
-PG12 -18727.023690  11195.840290 -15001.060103   -179.812267      0.001413   0.495  -0.296   0.397
-PG13  -3530.057584 -23093.247123 -12746.265019    306.507998     -0.007785   0.160   1.044   0.576
-PG14  14876.553790  21936.308423  -2425.887890    -15.131538     -0.010647  -0.658  -0.971   0.107
-PG15 -15051.456205   4766.210157  21398.796471   -318.647377     -0.003982   0.396  -0.125  -0.563
-PG16  25886.305649   3111.150375  -5680.650110    -16.756941      0.006335  -1.268  -0.152   0.278
-PG17 -15838.134604 -21221.134857  -3131.996666    109.518744     -0.006664   0.383   0.513   0.076
-PG18   2341.809506  15692.869974  21569.549100     32.987459      0.016546  -0.099  -0.664  -0.913
-PG19  14353.626825  -5592.886761  21686.540239     -2.643374     -0.013167  -0.360   0.140  -0.545
-PG20  14162.198876 -14087.817561 -17607.325684     65.982042      0.007249  -0.614   0.611   0.763
-PG21  -1115.219960  22936.068705  13082.949095    -26.031335      0.034081   0.055  -1.128  -0.644
-PG22  15388.144303  12668.692884  17754.002574    184.515260     -0.003441  -0.457  -0.376  -0.527
-PG23   6137.860566 -16071.318506 -20177.986421    384.829018     -0.013949  -0.139   0.365   0.458
-PG26   9782.099313  23784.754391   4993.504191     -0.747748      0.032330  -0.616  -2.173  -0.545
-PG27 -16675.283602  16880.802098  12556.774150    106.288979     -0.043040   1.744  -1.371  -1.125
-PG28 -12880.282141 -13227.025015  19659.446691    -24.895998     -0.001843   0.435   0.447  -0.664
-PG29   1005.239839  21814.164298 -15056.502198     80.203527      0.005903  -0.027  -0.576   0.397
-PG30  -6919.587177  15493.379752 -20806.148039    199.506713      0.011228   0.871  -1.494   1.780
-PG31  12670.135527   7704.767700 -21813.362583    -59.285040      0.006397  -0.360  -0.219   0.620
-PG32  21895.648698  -7825.752765 -12175.688060    142.935132     -0.013263  -2.033   0.707   1.441
+PG02  22354.452213 -13767.325289   1772.434231    228.750524     -0.001932  -0.522   0.321  -0.041   0.000   0.000  60.0  22377.342363 -13753.550786   1583.545731
+PG03 -11102.768914  16968.159551  16622.454893    518.437937      0.001957   1.012  -1.908  -1.508   0.000   0.000  60.0 -11129.949019  16837.402637  16736.552194
+PG04  24167.186374  -3628.894484 -11005.210034     19.658309     -0.001319  -2.103   0.034   0.921   0.000   0.000  60.0  24101.853298  -3576.088512 -11164.914026
+PG05  14447.045279  -8140.619149  20744.274083     -7.120008     -0.004342  -0.381   0.215  -0.547   0.000   0.000  60.0  14578.754091  -8053.151311  20686.754446
+...
+...
 </pre>
 </p>
+<p>
+Note that the '2nd order relativistic effect' is not used in BNS although it is required to provide it.
+</p>
 
 <p><a name="coport"><h4>4.5.1 Listening Port - mandatory</h4></p>
@@ -329,5 +315,5 @@
 </p>
 
-<p><a name="ephcserver"><h4>4.6.1 Host & Port - optional</h4></p>
+<p><a name="ephcserver"><h4>4.6.1 Host &amp; Port - optional</h4></p>
 <p>
 Specify the 'Host' IP name or number of an NTRIP Broadcaster to upload the stream. An empty option field means that you don't want to upload corrections to Broadcast Ephemeris.
@@ -337,5 +323,5 @@
 </p>
 
-<p><a name="ephcmount"><h4>4.6.2 Mountpoint & Password - mandatory if 'Host' is set</h4></p>
+<p><a name="ephcmount"><h4>4.6.2 Mountpoint &amp; Password - mandatory if 'Host' is set</h4></p>
 <p>
 Each stream on an NTRIP Caster is defined using a unique source ID called mountpoint. An NTRIP Server like BNS uploads a stream to the Caster by referring to a dedicated mountpoint that has been set by the Caster operator. Specify here the mountpoint based on the details you received for your stream from the operator. It is often a four character ID (capital letters) plus an integer number.
@@ -360,5 +346,5 @@
 </p>
 <p>
-<u>ETRF2000:</u> The formulars for the transformation 'ITRF2005->ETRF2000' are taken from 'Claude Boucher and Zuheir Altamimi 2008: Specifications for reference frame fixing in the analysis of EUREF GPS campaign', see <u>http://etrs89.ensg.ign.fr/memo-V7.pdf</u>. The following 14 Helmert Transformation Parameters were introduced:
+<u>ETRF2000:</u> The formulars for the transformation 'ITRF2005-&gt;ETRF2000' are taken from 'Claude Boucher and Zuheir Altamimi 2008: Specifications for reference frame fixing in the analysis of EUREF GPS campaign', see <u>http://etrs89.ensg.ign.fr/memo-V7.pdf</u>. The following 14 Helmert Transformation Parameters were introduced:
 </p>
 <p>
@@ -433,5 +419,5 @@
 </p>
 
-<p><a name="brdcserver"><h4>4.7.1 Host & Port - optional</h4></p>
+<p><a name="brdcserver"><h4>4.7.1 Host &amp; Port - optional</h4></p>
 <p>
 Specify the 'Host' IP name or number of an NTRIP Broadcaster to upload the stream. An empty option field means that you don't want to upload Broadcast Ephemeris.
@@ -441,5 +427,5 @@
 </p>
 
-<p><a name="brdcmount"><h4>4.7.2 Mountpoint & Password - mandatory if 'Host' is set</h4></p>
+<p><a name="brdcmount"><h4>4.7.2 Mountpoint &amp; Password - mandatory if 'Host' is set</h4></p>
 <p>
 Each stream on an NTRIP Caster is defined using a unique source ID called mountpoint. An NTRIP Server like BNS uploads a stream to the Caster by referring to a dedicated mountpoint that has been set by the Caster operator. Specify here the mountpoint based on the details you received for your stream from the operator. It is often a four character ID (capital letters) plus an integer number.
@@ -464,5 +450,5 @@
 </p>
 
-<p><a name="clkint"><h4>4.8.2 Interval & Sampling - mandatory if 'Directory' is set</h4></p>
+<p><a name="clkint"><h4>4.8.2 Interval &amp; Sampling - mandatory if 'Directory' is set</h4></p>
 <p>
 Select the length of the Clock RINEX file generated. The default value is 1 day.
@@ -486,5 +472,5 @@
 </p>
 
-<p><a name="orbint"><h4>4.9.2 Interval & Sampling - mandatory if 'Directory' is set</h4></p>
+<p><a name="orbint"><h4>4.9.2 Interval &amp; Sampling - mandatory if 'Directory' is set</h4></p>
 <p>
 Select the length of the SP3 Orbit file generated. The default value is 1 day.
@@ -542,5 +528,5 @@
 </li>
 <li>
-Currently BNS can only generate premature RTCM Version 3.x message Type 1057-1068 (see RTCM document 091-2009-SC104-542 'Version 3 Proposed Messages – Set 10') . Note that what is implemented in BNS is just a temporary solution.
+Currently BNS can only generate premature RTCM Version 3.x message Type 1057-1068 (see RTCM document 091-2009-SC104-542 'Version 3 Proposed Messages â&#8364;&#8220; Set 10') . Note that what is implemented in BNS is just a temporary solution.
 </li>
 <li>
@@ -585,5 +571,5 @@
 <tr>
 <td>Dec 2009 &nbsp;</td><td>Version 1.1 &nbsp;</td>
-<td>[Add] Upgrade to Qt Version 4.4.3<br> [Add] Enable/disable tab widgets<br> [Add] User defined configuration file name<br> [mod] Switch to configuration files in ini-Format<br> [Add] Auto start<br> [Add] Drag and drop ini files<br> [Add] Optional reference to Center of Mass< br> [Mod] Update following RTCM 091-2009-SC104-542 document</td>
+<td>[Add] Upgrade to Qt Version 4.4.3<br> [Add] Enable/disable tab widgets<br> [Add] User defined configuration file name<br> [mod] Switch to configuration files in ini-Format<br> [Add] Auto start<br> [Add] Drag and drop ini files<br> [Add] Optional reference to Center of Mass&lt; br&gt; [Mod] Update following RTCM 091-2009-SC104-542 document</td>
 </tr>
 
@@ -670,6 +656,6 @@
 <tr><td>ephPort=6000</td><td>RINEX Ephemeris: Port</td></tr>
 <tr><td>ephEcho=/home/weber/rinex/eph.rnx</td><td>RINEX Ephemeris: Save (full path)</td></tr>
-<tr><td>clkPort=7000</td><td>Clocks & Orbits: Listening port</td></tr>
-<tr><td>inpEcho=/home/weber/rinex/ClocksOrbits.dat</td><td>Clocks & Orbits: Save (full path)</td></tr>
+<tr><td>clkPort=7000</td><td>Clocks &amp; Orbits: Listening port</td></tr>
+<tr><td>inpEcho=/home/weber/rinex/ClocksOrbits.dat</td><td>Clocks &amp; Orbits: Save (full path)</td></tr>
 <tr><td>outHost1=www.igs-ip.net</td><td>Broadcast Corrections I: Host</td></tr>
 <tr><td>outPort1=2101</td><td>Broadcast Corrections I: Port</td></tr>
@@ -698,19 +684,19 @@
 <tr><td>passwordEph=pass</td><td>Broadcast Ephemeris: Password</td></tr>
 <tr><td>samplEph=5</td><td>Broadcast Ephemeris: Sampling</td></tr>
-<tr><td>trafo_dx=0.0541</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_dy=0.0502</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_dz=-0.0538</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_dxr=-0.0002</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_dyr=0.0001</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_dzr=-0.0018</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_ox=0.000891</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_oy=0.005390</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_oz=-0.008712</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_oxr=0.000081</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_oyr=0.000490</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_ozr=-0.000792</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_sc=0.40</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_scr=0.08</td><td>Broadcast Corrections: System > Custom</td></tr>
-<tr><td>trafo_t0=2000.0</td><td>Broadcast Corrections: System > Custom</td></tr>
+<tr><td>trafo_dx=0.0541</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_dy=0.0502</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_dz=-0.0538</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_dxr=-0.0002</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_dyr=0.0001</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_dzr=-0.0018</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_ox=0.000891</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_oy=0.005390</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_oz=-0.008712</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_oxr=0.000081</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_oyr=0.000490</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_ozr=-0.000792</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_sc=0.40</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_scr=0.08</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
+<tr><td>trafo_t0=2000.0</td><td>Broadcast Corrections: System &gt; Custom</td></tr>
 <tr><td>rnxPath=/home/weber/rinex</td><td>RINEX Clocks: Directory</td></tr>
 <tr><td>rnxIntr=1 day</td><td>RINEX Clocks: Interval</td></tr>
@@ -720,5 +706,5 @@
 <tr><td>sp3Sampl=300</td><td>SP3 Orbits: Sampling</td></tr>
 <tr><td>startTab=0</td><td>Internal memory: Top tab</td></tr>
-<tr><td>font="Helvetica [Adobe],8,-1,5,75,0,0,0,0,0"</td><td>Internal memory: Used font</td></tr>
+<tr><td>font=&quot;Helvetica [Adobe],8,-1,5,75,0,0,0,0,0&quot;</td><td>Internal memory: Used font</td></tr>
 </table>
 