Index: trunk/BNC/bncsettings.cpp
===================================================================
--- trunk/BNC/bncsettings.cpp	(revision 2326)
+++ trunk/BNC/bncsettings.cpp	(revision 2340)
@@ -77,4 +77,5 @@
     setValue("waitTime",         "5");
     setValue("pppMount",         "");
+    setValue("pppNavi",          "");
     setValue("pppStatic",        "");
     setValue("pppUsePhase",      "");
Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 2326)
+++ trunk/BNC/bncwindow.cpp	(revision 2340)
@@ -337,4 +337,5 @@
   // -----------
   _pppMountLineEdit    = new QLineEdit(settings.value("pppMount").toString());
+  _pppUsePhaseCheckBox = new QCheckBox();
   _pppNMEALineEdit     = new QLineEdit(settings.value("nmeaFile").toString());
   _pppNMEAPortLineEdit = new QLineEdit(settings.value("nmeaPort").toString());
@@ -349,4 +350,7 @@
     _pppOriginComboBox->setCurrentIndex(ij);
   }
+  _pppNaviCheckBox     = new QCheckBox();
+  _pppNaviCheckBox->setCheckState(Qt::CheckState(
+                                    settings.value("pppNavi").toInt()));
   _pppStaticCheckBox   = new QCheckBox();
   _pppStaticCheckBox->setCheckState(Qt::CheckState(
@@ -443,4 +447,5 @@
   _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Specify an approximate 'Height' above mean sea level in meter for your VRS to simulate an inital NMEA-GGA message.</p><p>The setting of this option is ignored in case of streams coming from physical reference stations.</p>"));
   _pppMountLineEdit->setWhatsThis(tr("<p>Specify a mountpoint if you want BNC to estimate coordinates for the affected receiver position through a PPP solution.</p><p>Note that PPP in BNC requires to also pull a stream carrying RTCM Version 3 satellite orbit and clock corrections to Broadcast Ephemeris referring to the satellites' Antenna Phase Centers (APC). Stream CLK11 on NTRIP broadcaster www.igs-ip.net is an example.</p><p>Pulling in addition a third stream carrying Broadcast Ephemeris messages in high repetition rate is suggested if such messages are comeing from the receiver only in low repetition rate or dont come at all from there.</p>"));
+  _pppNaviCheckBox->setWhatsThis(tr("<p>Don't apply any Broadcast Ephemeris Corrections, carry out plain Navigation Solution.</p>"));
   _pppStaticCheckBox->setWhatsThis(tr("<p>By default BNC considers the rover receiver as mobile.</p><p>Tick 'Static' to consider a static observation sitatuion and adapt appropriate filter characteristics for that.</p>"));
   _pppUsePhaseCheckBox->setWhatsThis(tr("<p>By default BNC applies a PPP solution using an ionosphere free P3 linear combination of code observations.</p><p>Tick 'Use phase obs' for an ionosphere free L3 linear combination of phase observations.</p>"));
@@ -693,5 +698,7 @@
   pppLayout->setColumnMinimumWidth(0,14*ww);
   pppLayout->addWidget(new QLabel("Mountpoint"),             0, 0);
-  pppLayout->addWidget(_pppMountLineEdit,                    0, 1, 1, 3);
+  pppLayout->addWidget(_pppMountLineEdit,                    0, 1, 1, 2);
+  pppLayout->addWidget(_pppNaviCheckBox,                     0, 3);
+  pppLayout->addWidget(new QLabel("Navigation solution"),    0, 4);
   pppLayout->addWidget(new QLabel("Options"),                1, 0);
   pppLayout->addWidget(_pppStaticCheckBox,                   1, 1);
@@ -1027,4 +1034,5 @@
   settings.setValue("miscMount",   _miscMountLineEdit->text());
   settings.setValue("pppMount",    _pppMountLineEdit->text());
+  settings.setValue("pppNavi",     _pppNaviCheckBox->checkState());
   settings.setValue("nmeaFile",    _pppNMEALineEdit->text());
   settings.setValue("nmeaPort",    _pppNMEAPortLineEdit->text());
@@ -1572,4 +1580,5 @@
      || sender() == _pppOriginComboBox) {
     if (!_pppMountLineEdit->text().isEmpty()) {
+      _pppNaviCheckBox->setPalette(palette_white);
       _pppNMEALineEdit->setPalette(palette_white);
       _pppNMEAPortLineEdit->setPalette(palette_white);
@@ -1582,4 +1591,5 @@
       _pppGLONASSCheckBox->setPalette(palette_white);
       _pppOriginComboBox->setPalette(palette_white);
+      _pppNaviCheckBox->setEnabled(true);
       _pppNMEALineEdit->setEnabled(true);
       _pppNMEAPortLineEdit->setEnabled(true);
@@ -1609,4 +1619,5 @@
       }
     } else {
+      _pppNaviCheckBox->setPalette(palette_gray);
       _pppNMEALineEdit->setPalette(palette_gray);
       _pppNMEAPortLineEdit->setPalette(palette_gray);
@@ -1619,4 +1630,5 @@
       _pppGLONASSCheckBox->setPalette(palette_gray);
       _pppOriginComboBox->setPalette(palette_gray);
+      _pppNaviCheckBox->setEnabled(false);
       _pppNMEALineEdit->setEnabled(false);
       _pppNMEAPortLineEdit->setEnabled(false);
Index: trunk/BNC/bncwindow.h
===================================================================
--- trunk/BNC/bncwindow.h	(revision 2326)
+++ trunk/BNC/bncwindow.h	(revision 2340)
@@ -119,4 +119,5 @@
     QLineEdit* _pppRefCrdYLineEdit;
     QLineEdit* _pppRefCrdZLineEdit;
+    QCheckBox* _pppNaviCheckBox;
     QCheckBox* _pppStaticCheckBox;
     QCheckBox* _pppUsePhaseCheckBox;